Loading...
Searching...
No Matches
RDKit::RDKitFP::RDKitFPAtomInvGenerator Class Reference

`#include <RDKitFPGenerator.h>`

Inheritance diagram for RDKit::RDKitFP::RDKitFPAtomInvGenerator:

## Public Member Functions

std::vector< std::uint32_t > * | getAtomInvariants (const ROMol &mol) const override
| get atom invariants from a molecule
std::string | infoString () const override
| method that returns information about this /c AtomInvariantsGenerator and its arguments
RDKitFPAtomInvGenerator * | clone () const override
Public Member Functions inherited from RDKit::AtomInvariantsGenerator
virtual | ~AtomInvariantsGenerator ()

## Detailed Description

Definition at line 58 of file RDKitFPGenerator.h.

## Member Function Documentation

## clone()

RDKitFPAtomInvGenerator * RDKit::RDKitFP::RDKitFPAtomInvGenerator::clone | ( |  | ) | const

override virtual

Implements RDKit::AtomInvariantsGenerator.

## getAtomInvariants()

std::vector< std::uint32_t > * RDKit::RDKitFP::RDKitFPAtomInvGenerator::getAtomInvariants | ( | const ROMol & | mol | ) | const

override virtual

get atom invariants from a molecule

Parameters

  mol | molecule to generate the atom invariants for

Returns
  std::vector<std::uint32_t> atom invariants generated for the given molecule

Implements RDKit::AtomInvariantsGenerator.

## infoString()

std::string RDKit::RDKitFP::RDKitFPAtomInvGenerator::infoString | ( |  | ) | const

override virtual

method that returns information about this /c AtomInvariantsGenerator and its arguments

Returns
  std::string information string

Implements RDKit::AtomInvariantsGenerator.

The documentation for this class was generated from the following file:

- RDKitFPGenerator.h